CVE-2023-50572

CVSS 3.1 Score 5.5 of 10 (medium)

Details

Published Dec 29, 2023
Updated: Jan 5, 2024
CWE ID 787

Summary

CVE-2023-50572 is a vulnerability found in the component GroovyEngine.execute of jline-groovy v3.24.1, which can be exploited to cause an Out-of-Memory (OOM) error. This vulnerability has a CVSS base score of 5.5, indicating a medium severity level. The exploitability score is 1.8, and the attack vector is local, requiring user interaction. The potential danger posed by this vulnerability is primarily the impact on availability, with no impact on confidentiality or integrity. There is no need for privileges and the attack complexity is low. Organizations using jline-groovy v3.24.1 should remediate this vulnerability to prevent potential OOM errors and ensure system availability.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-50572 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options